com.genesyslab.wfm7.API.service.config761

## Class CfgProfileFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgProfileFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfileFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Agent information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `wmActivityId` An array of Activity identifiers.
    `private int` | `wmActivityIdNSizeIs` Number of elements in the wmActivityId array.
    `private int[]` | `wmBUId` An array of BU identifiers.
    `private int` | `wmBUIdNSizeIs` Number of elements in the wmBUId array
    `private int[]` | `wmContractId` An array of Contract identifiers.
    `private int` | `wmContractIdNSizeIs` Number of elements in the wmContractId array.
    `private int[]` | `wmProfileId` An array of Profile identifiers.
    `private int` | `wmProfileIdNSizeIs` Number of elements in the wmProfileId array.
    `private int[]` | `wmSiteId` An array of Site identifiers.
    `private int` | `wmSiteIdNSizeIs` Number of elements in the wmSiteId array
    `private int[]` | `wmVirtualActivityId` An array of Virtual Activity or Activity Group identifiers.
    `private int` | `wmVirtualActivityIdNSizeIs` Number of elements in the wmVirtualActivityId array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfileFilter()`
    `CfgProfileFilter(int wmBUIdNSizeIs, int[] wmBUId, int wmSiteIdNSizeIs, int[] wmSiteId, int wmProfileIdNSizeIs, int[] wmProfileId, int wmContractIdNSizeIs, int[] wmContractId, int wmActivityIdNSizeIs, int[] wmActivityId, int wmVirtualActivityIdNSizeIs, int[] wmVirtualActivityId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getWmActivityId()` Gets the wmActivityId value for this CfgProfileFilter.
    `int` | `getWmActivityIdNSizeIs()` Gets the wmActivityIdNSizeIs value for this CfgProfileFilter.
    `int[]` | `getWmBUId()` Gets the wmBUId value for this CfgProfileFilter.
    `int` | `getWmBUIdNSizeIs()` Gets the wmBUIdNSizeIs value for this CfgProfileFilter.
    `int[]` | `getWmContractId()` Gets the wmContractId value for this CfgProfileFilter.
    `int` | `getWmContractIdNSizeIs()` Gets the wmContractIdNSizeIs value for this CfgProfileFilter.
    `int[]` | `getWmProfileId()` Gets the wmProfileId value for this CfgProfileFilter.
    `int` | `getWmProfileIdNSizeIs()` Gets the wmProfileIdNSizeIs value for this CfgProfileFilter.
    `int[]` | `getWmSiteId()` Gets the wmSiteId value for this CfgProfileFilter.
    `int` | `getWmSiteIdNSizeIs()` Gets the wmSiteIdNSizeIs value for this CfgProfileFilter.
    `int[]` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgProfileFilter.
    `int` | `getWmVirtualActivityIdNSizeIs()` Gets the wmVirtualActivityIdNSizeIs value for this CfgProfileFilter.
    `void` | `setWmActivityId(int[] wmActivityId)` Sets the wmActivityId value for this CfgProfileFilter.
    `void` | `setWmActivityIdNSizeIs(int wmActivityIdNSizeIs)` Sets the wmActivityIdNSizeIs value for this CfgProfileFilter.
    `void` | `setWmBUId(int[] wmBUId)` Sets the wmBUId value for this CfgProfileFilter.
    `void` | `setWmBUIdNSizeIs(int wmBUIdNSizeIs)` Sets the wmBUIdNSizeIs value for this CfgProfileFilter.
    `void` | `setWmContractId(int[] wmContractId)` Sets the wmContractId value for this CfgProfileFilter.
    `void` | `setWmContractIdNSizeIs(int wmContractIdNSizeIs)` Sets the wmContractIdNSizeIs value for this CfgProfileFilter.
    `void` | `setWmProfileId(int[] wmProfileId)` Sets the wmProfileId value for this CfgProfileFilter.
    `void` | `setWmProfileIdNSizeIs(int wmProfileIdNSizeIs)` Sets the wmProfileIdNSizeIs value for this CfgProfileFilter.
    `void` | `setWmSiteId(int[] wmSiteId)` Sets the wmSiteId value for this CfgProfileFilter.
    `void` | `setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)` Sets the wmSiteIdNSizeIs value for this CfgProfileFilter.
    `void` | `setWmVirtualActivityId(int[] wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgProfileFilter.
    `void` | `setWmVirtualActivityIdNSizeIs(int wmVirtualActivityIdNSizeIs)` Sets the wmVirtualActivityIdNSizeIs value for this CfgProfileFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUIdNSizeIs

          private int wmBUIdNSizeIs

      Number of elements in the wmBUId array

    - #### wmBUId

          private int[] wmBUId

      An array of BU identifiers. When specified, defines a filter of Business Units that returned Agents must belong to.

    - #### wmSiteIdNSizeIs

          private int wmSiteIdNSizeIs

      Number of elements in the wmSiteId array

    - #### wmSiteId

          private int[] wmSiteId

      An array of Site identifiers. When specified, defines a filter of Sites that returned Agents must belong to.

    - #### wmProfileIdNSizeIs

          private int wmProfileIdNSizeIs

      Number of elements in the wmProfileId array.

    - #### wmProfileId

          private int[] wmProfileId

      An array of Profile identifiers. When specified, narrows Profile selection to specific Profiles. Note that, if wmSiteId (or wmBUId) filter is specified, then wmProfileId filter applies only to Sites that specified Profiles belong to, This allows constructing a filter that requests all Profiles from one Site but only specific Profiles from another Site. The wmProfileId filter can be used without wmSiteId filter specified but once wmSiteId filter is specified then all Profiles in wmProfileId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### wmContractIdNSizeIs

          private int wmContractIdNSizeIs

      Number of elements in the wmContractId array.

    - #### wmContractId

          private int[] wmContractId

      An array of Contract identifiers. When specified, defines filter of Contracts that all returned Profiles must belong to at least one Contract specified.

    - #### wmActivityIdNSizeIs

          private int wmActivityIdNSizeIs

      Number of elements in the wmActivityId array.

    - #### wmActivityId

          private int[] wmActivityId

      An array of Activity identifiers. When specified, defines filter of Activities that all returned Profiles must be qualified to work on at least one Activity specified.

    - #### wmVirtualActivityIdNSizeIs

          private int wmVirtualActivityIdNSizeIs

      Number of elements in the wmVirtualActivityId array.

    - #### wmVirtualActivityId

          private int[] wmVirtualActivityId

      An array of Virtual Activity or Activity Group identifiers. When specified, defines Virtual Activity filter that all returned Profiles must be qualified to work on Activity that is part of at least one Virtual Activity or Activity Group specified.

  - ### Constructor Detail

    - #### CfgProfileFilter

          public CfgProfileFilter()

    - #### CfgProfileFilter

          public CfgProfileFilter(int wmBUIdNSizeIs,
                          int[] wmBUId,
                          int wmSiteIdNSizeIs,
                          int[] wmSiteId,
                          int wmProfileIdNSizeIs,
                          int[] wmProfileId,
                          int wmContractIdNSizeIs,
                          int[] wmContractId,
                          int wmActivityIdNSizeIs,
                          int[] wmActivityId,
                          int wmVirtualActivityIdNSizeIs,
                          int[] wmVirtualActivityId)

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the wmBUIdNSizeIs value for this CfgProfileFilter.
      Returns:
        wmBUIdNSizeIs

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int wmBUIdNSizeIs)

      Sets the wmBUIdNSizeIs value for this CfgProfileFilter.
      Parameters:
        `wmBUIdNSizeIs` -

    - #### getWmBUId

          public int[] getWmBUId()

      Gets the wmBUId value for this CfgProfileFilter.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int[] wmBUId)

      Sets the wmBUId value for this CfgProfileFilter.
      Parameters:
        `wmBUId` -

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the wmSiteIdNSizeIs value for this CfgProfileFilter.
      Returns:
        wmSiteIdNSizeIs

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)

      Sets the wmSiteIdNSizeIs value for this CfgProfileFilter.
      Parameters:
        `wmSiteIdNSizeIs` -

    - #### getWmSiteId

          public int[] getWmSiteId()

      Gets the wmSiteId value for this CfgProfileFilter.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int[] wmSiteId)

      Sets the wmSiteId value for this CfgProfileFilter.
      Parameters:
        `wmSiteId` -

    - #### getWmProfileIdNSizeIs

          public int getWmProfileIdNSizeIs()

      Gets the wmProfileIdNSizeIs value for this CfgProfileFilter.
      Returns:
        wmProfileIdNSizeIs

    - #### setWmProfileIdNSizeIs

          public void setWmProfileIdNSizeIs(int wmProfileIdNSizeIs)

      Sets the wmProfileIdNSizeIs value for this CfgProfileFilter.
      Parameters:
        `wmProfileIdNSizeIs` -

    - #### getWmProfileId

          public int[] getWmProfileId()

      Gets the wmProfileId value for this CfgProfileFilter.
      Returns:
        wmProfileId

    - #### setWmProfileId

          public void setWmProfileId(int[] wmProfileId)

      Sets the wmProfileId value for this CfgProfileFilter.
      Parameters:
        `wmProfileId` -

    - #### getWmContractIdNSizeIs

          public int getWmContractIdNSizeIs()

      Gets the wmContractIdNSizeIs value for this CfgProfileFilter.
      Returns:
        wmContractIdNSizeIs

    - #### setWmContractIdNSizeIs

          public void setWmContractIdNSizeIs(int wmContractIdNSizeIs)

      Sets the wmContractIdNSizeIs value for this CfgProfileFilter.
      Parameters:
        `wmContractIdNSizeIs` -

    - #### getWmContractId

          public int[] getWmContractId()

      Gets the wmContractId value for this CfgProfileFilter.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int[] wmContractId)

      Sets the wmContractId value for this CfgProfileFilter.
      Parameters:
        `wmContractId` -

    - #### getWmActivityIdNSizeIs

          public int getWmActivityIdNSizeIs()

      Gets the wmActivityIdNSizeIs value for this CfgProfileFilter.
      Returns:
        wmActivityIdNSizeIs

    - #### setWmActivityIdNSizeIs

          public void setWmActivityIdNSizeIs(int wmActivityIdNSizeIs)

      Sets the wmActivityIdNSizeIs value for this CfgProfileFilter.
      Parameters:
        `wmActivityIdNSizeIs` -

    - #### getWmActivityId

          public int[] getWmActivityId()

      Gets the wmActivityId value for this CfgProfileFilter.
      Returns:
        wmActivityId

    - #### setWmActivityId

          public void setWmActivityId(int[] wmActivityId)

      Sets the wmActivityId value for this CfgProfileFilter.
      Parameters:
        `wmActivityId` -

    - #### getWmVirtualActivityIdNSizeIs

          public int getWmVirtualActivityIdNSizeIs()

      Gets the wmVirtualActivityIdNSizeIs value for this CfgProfileFilter.
      Returns:
        wmVirtualActivityIdNSizeIs

    - #### setWmVirtualActivityIdNSizeIs

          public void setWmVirtualActivityIdNSizeIs(int wmVirtualActivityIdNSizeIs)

      Sets the wmVirtualActivityIdNSizeIs value for this CfgProfileFilter.
      Parameters:
        `wmVirtualActivityIdNSizeIs` -

    - #### getWmVirtualActivityId

          public int[] getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgProfileFilter.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int[] wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgProfileFilter.
      Parameters:
        `wmVirtualActivityId` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.